Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::unique_resource< R &, D > Class Template Reference

## Public Member Functions
R & | get () const noexcept
D & | get_deleter () noexcept
D const & | get_deleter () const noexcept
| operator R & () const noexcept
template<typename RR = R>
auto | operator* () const noexcept-> decltype(*std::declval< RR & >())
std::remove_cv_t< R > | operator-> () const noexcept(std::is_nothrow_copy_constructible< std::remove_cv_t< R >>::value)
void | release () noexcept
void | reset () noexcept
void | reset (R &r) noexcept
void | swap (unique_resource &that) noexcept(_is_nothrow_movable< D >::value)
template<typename DD , typename = meta::if_<detail::_is_constructible<D, DD>>>
| unique_resource (R &r, DD &&d) noexcept(std::is_nothrow_constructible< D, DD >::value)